# Returns projects visible to the current user.

GET https://api.awork.com/api/v1/projects

Returns projects visible to the current user.
            <Check title="Required Permissions" icon="key">The user must have `read` permission for each returned project.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/projects' \
  -H 'Authorization: Bearer <token>'
```

- query parameter `page`: integer. Page number for pagination

- query parameter `pageSize`: integer. Number of items per page

- query parameter `orderby`: string. The properties to order by

- query parameter `filterby`: string. The filter expression to filter by

## Response 200

OK

application/json

```json
[
  {
    "name": "Website Design",
    "isPrivate": false,
    "description": "Sitemap, design, assets and implementation of the new online presence.",
    "startDate": "2022-03-01T00:00:00Z",
    "dueDate": "2022-05-01T00:00:00Z",
    "companyId": "123e4567-e89b-12d3-a456-426614174000",
    "timeBudget": 576000,
    "isBillableByDefault": true,
    "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
    "color": "purple",
    "deductNonBillableHours": true,
    "isProjectKeyVisible": true,
    "projectStatusId": "123e4567-e89b-12d3-a456-426614174000",
    "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
    "publicProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
    "workflowId": "123e4567-e89b-12d3-a456-426614174000",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "projectKey": "string",
    "hasImage": true,
    "createdOn": "2026-01-15T09:30:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2026-01-15T09:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "closedOn": null,
    "closedBy": "123e4567-e89b-12d3-a456-426614174000",
    "createdByProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
    "projectType": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "icon": "thumb_up",
      "isArchived": false
    },
    "projectStatus": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "description": "Work in progress",
      "type": "todo",
      "isArchived": false,
      "typeOrder": 1,
      "isExternal": true
    },
    "company": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "hasImage": true,
      "description": "A brand strategy and design agency",
      "tags": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "Design",
          "color": "purple",
          "entityId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ]
    },
    "tags": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Design",
        "color": "purple"
      }
    ],
    "plannedDuration": 432000,
    "totalPlannedDurationWithHierarchy": 432000,
    "tasksCount": 12,
    "tasksDoneCount": 3,
    "members": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "userId": "123e4567-e89b-12d3-a456-426614174000",
        "firstName": "Lisa",
        "lastName": "Smith",
        "hasImage": true,
        "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
        "projectRoleName": "Project Manager",
        "isResponsible": true,
        "isDeactivated": false,
        "isExternal": true
      }
    ],
    "trackedDuration": 72000,
    "customFields": [
      {
        "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
        "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "numberValue": 123.45,
        "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "selectionOption": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "value": "Website Design",
          "color": "purple",
          "order": 0
        },
        "textValue": "S1: Business Critical",
        "dateValue": "2026-01-15T09:30:00Z",
        "booleanValue": true
      }
    ],
    "resourceVersion": 637825154598057900,
    "teams": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Designers",
        "icon": "paintbrush",
        "color": "purple"
      }
    ],
    "isExternal": true,
    "isRetainer": true,
    "isMultiAssignmentAllowed": true
  }
]
```
